%define major		1
%define libname		%mklibname numa %{major}
%define develname	%mklibname numa -d

Summary:	Simple NUMA policy support
Name:		numactl
Version:	2.0.14
Release:	%mkrel 1
License:	LGPLv2/GPLv2
Group:		System/Kernel and hardware
Url:		https://github.com/numactl/numactl
Source0:	https://github.com/numactl/numactl/releases/download/v%{version}/%{name}-%{version}.tar.gz
ExcludeArch:	%{arm}

%description
This package contains the `numactl' program to run other programs with
a specific NUMA policy.

%package -n	%{libname}
Summary:	Runtime libraries for NUMA policy support
Group:		System/Libraries

%description -n	%{libname}
This package contains the dynamic libraries for NUMA policy support.

%package -n	%{develname}
Summary:	Headers and libraries for NUMA policy
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	numa-devel = %{version}-%{release}
Provides:	numactl-devel = %{version}-%{release}

%description -n	%{develname}
This package contains headers and libraries useful for developing
applications using different NUMA policies.

%prep
%setup -q

%build
%configure2_5x
%__make clean
%make_build CFLAGS="%{optflags} -I." LDFLAGS="%ldflags"

%install
%make_install prefix=%{buildroot}%{_prefix}

find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete

%files
%doc README.md
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_mandir}/man8/*.8*

%files -n %{libname}
%{_libdir}/libnuma.so.%{major}*

%files -n %{develname}
%{_libdir}/libnuma.so
%{_libdir}/pkgconfig/numa.pc
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man2/move_pages.2.*
%{_mandir}/man3/numa.3.*


%changelog
* Fri Apr 22 2021 tex - 2.0.14-1pclos2021
- 2.0.14

